Package org.springframework.http.server.observation

# Class ServerRequestObservationContext

java.lang.Object
io.micrometer.observation.Observation.Context
io.micrometer.observation.transport.ReceiverContext<C>
io.micrometer.observation.transport.RequestReplyReceiverContext<HttpServletRequest,HttpServletResponse>
org.springframework.http.server.observation.ServerRequestObservationContext

All Implemented Interfaces:
  `io.micrometer.observation.Observation.ContextView`, `io.micrometer.observation.transport.ResponseContext<HttpServletResponse>`

public class ServerRequestObservationContext extends io.micrometer.observation.transport.RequestReplyReceiverContext<HttpServletRequest,HttpServletResponse>
Context that holds information for metadata collection regarding `Servlet HTTP requests` observations.

This context also extends `RequestReplyReceiverContext` for propagating tracing information during HTTP request processing.

Since:
  6.0
Author:
  Brian Clozel

## Constructor Summary

Constructors
Constructor
Description
`ServerRequestObservationContext(HttpServletRequest request, HttpServletResponse response)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPathPattern()`
`void`
`setPathPattern(String pathPattern)`

### Methods inherited from class io.micrometer.observation.transport.RequestReplyReceiverContext

`getResponse, setResponse`

### Methods inherited from class io.micrometer.observation.transport.ReceiverContext

`getCarrier, getGetter, getKind, getRemoteServiceAddress, getRemoteServiceName, setCarrier, setRemoteServiceAddress, setRemoteServiceName`

### Methods inherited from class io.micrometer.observation.Observation.Context

`addHighCardinalityKeyValue, addHighCardinalityKeyValues, addLowCardinalityKeyValue, addLowCardinalityKeyValues, clear, computeIfAbsent, containsKey, get, getAllKeyValues, getContextualName, getError, getHighCardinalityKeyValue, getHighCardinalityKeyValues, getLowCardinalityKeyValue, getLowCardinalityKeyValues, getName, getOrDefault, getParentObservation, getRequired, put, remove, removeHighCardinalityKeyValue, removeHighCardinalityKeyValues, removeLowCardinalityKeyValue, removeLowCardinalityKeyValues, setContextualName, setError, setName, setParentObservation, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface io.micrometer.observation.Observation.ContextView

`getOrDefault`

## Constructor Details

### ServerRequestObservationContext

public ServerRequestObservationContext(HttpServletRequest request, HttpServletResponse response)

## Method Details

### getPathPattern

@Nullable public String getPathPattern()

### setPathPattern

public void setPathPattern(@Nullable String pathPattern)